Description: fix issue after reset of eventlist
Author: Christian Geier <geier@lostpackets.de>
Origin: upstream, https://github.com/pimutils/khal/commit/ca32ec3
Last-Update: 2023-07-21
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/khal/ui/__init__.py
+++ b/khal/ui/__init__.py
@@ -292,7 +292,11 @@
     def clean(self):
         """reset event most recently in focus"""
         if self._old_focus is not None:
-            self.body[self._old_focus].body[0].set_attr_map({None: 'date'})
+            try:
+                self.body[self._old_focus].body[0].set_attr_map({None: 'date'})
+            except IndexError:
+                # after reseting the EventList, the old focus might not exist
+                pass
 
     def ensure_date(self, day):
         """ensure an entry for `day` exists and bring it into focus"""
